javax.transaction.xa

## Class XAException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.transaction.xa.XAException

All Implemented Interfaces:
  Serializable

    public class XAException
    extends Exception

Version:
  $Rev: 467742 $ $Date: 2006-10-25 21:30:38 +0200 (Mi, 25. Okt 2006) $
See Also:
  Serialized Form

### Field Summary

Fields
`int` `errorCode`
`static int` `XA_HEURCOM`
`static int` `XA_HEURHAZ`
`static int` `XA_HEURMIX`
`static int` `XA_HEURRB`
`static int` `XA_NOMIGRATE`
`static int` `XA_RBBASE`
`static int` `XA_RBCOMMFAIL`
`static int` `XA_RBDEADLOCK`
`static int` `XA_RBEND`
`static int` `XA_RBINTEGRITY`
`static int` `XA_RBOTHER`
`static int` `XA_RBPROTO`
`static int` `XA_RBROLLBACK`
`static int` `XA_RBTIMEOUT`
`static int` `XA_RBTRANSIENT`
`static int` `XA_RDONLY`
`static int` `XA_RETRY`
`static int` `XAER_ASYNC`
`static int` `XAER_DUPID`
`static int` `XAER_INVAL`
`static int` `XAER_NOTA`
`static int` `XAER_OUTSIDE`
`static int` `XAER_PROTO`
`static int` `XAER_RMERR`
`static int` `XAER_RMFAIL`

### Constructor Summary

Constructors
Constructor and Description
`XAException()`
`XAException(int errorCode)`
`XAException(String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### XA_RBBASE

    public static final int XA_RBBASE

See Also:
  Constant Field Values

#### XA_RBROLLBACK

    public static final int XA_RBROLLBACK

See Also:
  Constant Field Values

#### XA_RBCOMMFAIL

    public static final int XA_RBCOMMFAIL

See Also:
  Constant Field Values

#### XA_RBDEADLOCK

    public static final int XA_RBDEADLOCK

See Also:
  Constant Field Values

#### XA_RBINTEGRITY

    public static final int XA_RBINTEGRITY

See Also:
  Constant Field Values

#### XA_RBOTHER

    public static final int XA_RBOTHER

See Also:
  Constant Field Values

#### XA_RBPROTO

    public static final int XA_RBPROTO

See Also:
  Constant Field Values

#### XA_RBTIMEOUT

    public static final int XA_RBTIMEOUT

See Also:
  Constant Field Values

#### XA_RBTRANSIENT

    public static final int XA_RBTRANSIENT

See Also:
  Constant Field Values

#### XA_RBEND

    public static final int XA_RBEND

See Also:
  Constant Field Values

#### XA_NOMIGRATE

    public static final int XA_NOMIGRATE

See Also:
  Constant Field Values

#### XA_HEURHAZ

    public static final int XA_HEURHAZ

See Also:
  Constant Field Values

#### XA_HEURCOM

    public static final int XA_HEURCOM

See Also:
  Constant Field Values

#### XA_HEURRB

    public static final int XA_HEURRB

See Also:
  Constant Field Values

#### XA_HEURMIX

    public static final int XA_HEURMIX

See Also:
  Constant Field Values

#### XA_RETRY

    public static final int XA_RETRY

See Also:
  Constant Field Values

#### XA_RDONLY

    public static final int XA_RDONLY

See Also:
  Constant Field Values

#### XAER_ASYNC

    public static final int XAER_ASYNC

See Also:
  Constant Field Values

#### XAER_RMERR

    public static final int XAER_RMERR

See Also:
  Constant Field Values

#### XAER_NOTA

    public static final int XAER_NOTA

See Also:
  Constant Field Values

#### XAER_INVAL

    public static final int XAER_INVAL

See Also:
  Constant Field Values

#### XAER_PROTO

    public static final int XAER_PROTO

See Also:
  Constant Field Values

#### XAER_RMFAIL

    public static final int XAER_RMFAIL

See Also:
  Constant Field Values

#### XAER_DUPID

    public static final int XAER_DUPID

See Also:
  Constant Field Values

#### XAER_OUTSIDE

    public static final int XAER_OUTSIDE

See Also:
  Constant Field Values

#### errorCode

    public int errorCode

### Constructor Detail

#### XAException

    public XAException()

#### XAException

    public XAException(String message)

#### XAException

    public XAException(int errorCode)